Rivet::LorentzTransform Class Reference

Object implementing Lorentz transform calculations and boosts. More...

`#include <LorentzTrans.hh>`

## Public Member Functions

| LorentzTransform (const Vector3 &boost)
| LorentzTransform (const double betaX, const double betaY, const double betaZ)
LorentzTransform & | setBoost (const Vector3 &boost)
LorentzTransform & | setBoost (const double betaX, const double betaY, const double betaZ)
Vector3 | boost () const
double | beta () const
double | gamma () const
LorentzTransform | rotate (const Vector3 &from, const Vector3 &to) const
LorentzTransform | rotate (const Vector3 &axis, const double angle) const
LorentzTransform | rotate (const Matrix3 &rot) const
FourVector | transform (const FourVector &v4) const
LorentzTransform | inverse () const
LorentzTransform | combine (const LorentzTransform &lt) const
| Combine LTs, treating this as the LH matrix.
Matrix4 | toMatrix () const
LorentzTransform | operator* (const LorentzTransform &lt) const
LorentzTransform | preMult (const Matrix3 &m3)
LorentzTransform | postMult (const Matrix3 &m3)

## Friends

string | toString (const LorentzTransform &lt)

## Detailed Description

Object implementing Lorentz transform calculations and boosts.

The documentation for this class was generated from the following file:

- include/Rivet/Math/LorentzTrans.hh